Impossible access to phpmyadmin

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Impossible access to phpmyadmin

Postby Shade_Syndrome » 17. February 2017 16:59

Hi,

I installed Xampp but i can't access to phpmyadmin, you can see what happened in my console just below :

Code: Select all
root@Nostoc:/home/swoosh/Téléchargements# ./xampp-linux-x64-5.6.30-0-installer.run
bash: ./xampp-linux-x64-5.6.30-0-installer.run: Permission non accordée
root@Nostoc:/home/swoosh/Téléchargements# sh xampp-linux-x64-5.6.30-0-installer.run
xampp-linux-x64-5.6.30-0-installer.run: 1: xampp-linux-x64-5.6.30-0-installer.run: Syntax error: Unterminated quoted string
root@Nostoc:/home/swoosh/Téléchargements# ./ xampp-linux-x64-5.6.30-0-installer.run
bash: ./ : est un dossier
root@Nostoc:/home/swoosh/Téléchargements# ./xampp-linux-x64-5.6.30-0-installer.run
bash: ./xampp-linux-x64-5.6.30-0-installer.run: Permission non accordée
root@Nostoc:/home/swoosh/Téléchargements# chmod +x xampp-linux-x64-5.6.30-0-installer.run
root@Nostoc:/home/swoosh/Téléchargements# ./xampp-linux-x64-5.6.30-0-installer.run
root@Nostoc:/home/swoosh/Téléchargements#
(caja:9985): EggSMClient-WARNING **: Failed to connect to the session manager: None of the authentication protocols specified are supported

/usr/share/themes/shearwater/gtk-2.0/gtkrc:339: Incapable de localiser le fichier image dans le chemin des pixmaps : « panel-bg-dark.png »

(caja:9985): Unique-DBus-WARNING **: Unable to open a connection to the session bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

(caja:9985): Unique-DBus-WARNING **: Unable to connect to the running instance, aborting.

(firefox-esr:10004): GnomeUI-WARNING **: While connecting to session manager:
None of the authentication protocols specified are supported.

(firefox-esr:10004): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

(firefox-esr:10004): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

(firefox-esr:10004): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

(firefox-esr:10004): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
/usr/share/themes/shearwater/gtk-2.0/gtkrc:339: Incapable de localiser le fichier image dans le chemin des pixmaps : « panel-bg-dark.png »
1487346207884   addons.productaddons   ERROR   Request failed certificate checks: [Exception... "SSL is required and URI scheme is not https."  nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)"  location: "JS frame :: resource://gre/modules/CertUtils.jsm :: checkCert :: line 145"  data: no]

(firefox-esr:10507): GnomeUI-WARNING **: While connecting to session manager:
None of the authentication protocols specified are supported.

(firefox-esr:10507): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

(firefox-esr:10507): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

(firefox-esr:10507): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

(firefox-esr:10507): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
/usr/share/themes/shearwater/gtk-2.0/gtkrc:339: Incapable de localiser le fichier image dans le chemin des pixmaps : « panel-bg-dark.png »
1487346572806   addons.productaddons   ERROR   Request failed certificate checks: [Exception... "SSL is required and URI scheme is not https."  nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)"  location: "JS frame :: resource://gre/modules/CertUtils.jsm :: checkCert :: line 145"  data: no]
/usr/share/themes/shearwater/gtk-2.0/gtkrc:339: Incapable de localiser le fichier image dans le chemin des pixmaps : « panel-bg-dark.png »
/usr/share/themes/shearwater/gtk-2.0/gtkrc:339: Incapable de localiser le fichier image dans le chemin des pixmaps : « panel-bg-dark.png »
:1: parser error : Document is empty
[Fri Feb 17 16:36:09.001058 2017] [ssl:warn] [pid 9469] AH01906: www.example.com
^
:1: parser error : Document is empty
[Fri Feb 17 16:36:09.001058 2017] [ssl:warn] [pid 9469] AH01906: www.example.com
^
:1: parser error : Document is empty
[Fri Feb 17 16:36:09.001058 2017] [ssl:warn] [pid 9469] AH01906: www.example.com
^

** (soffice:10722): CRITICAL **: void g_lo_menu_insert_section(GLOMenu*, gint, const gchar*, GMenuModel*): assertion 'G_IS_LO_MENU (menu)' failed

** (soffice:10722): CRITICAL **: void g_lo_menu_insert_section(GLOMenu*, gint, const gchar*, GMenuModel*): assertion 'G_IS_LO_MENU (menu)' failed
1487346632782   addons.productaddons   ERROR   Request failed certificate checks: [Exception... "SSL is required and URI scheme is not https."  nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)"  location: "JS frame :: resource://gre/modules/CertUtils.jsm :: checkCert :: line 145"  data: no]
1487346633554   addons.update-checker   WARN   Update manifest for langpack-fr@firefox-esr.mozilla.org did not contain an updates property
1487346633883   addons.update-checker   WARN   Update manifest for {972ce4c6-7e08-4474-a285-3208198ce6fd} did not contain an updates property


I also have a problem with firefox, everytime i click on a link in Icedove or Xampp for example, a window pop up and say "Firefox is already running, but is not responding. To open a new window, you must first close the existing Firefox process, or restart your system.". Here the error log :
Code: Select all
[Fri Feb 17 16:36:09.001058 2017] [ssl:warn] [pid 9469] AH01906: www.example.com:443:0 server certificate is a CA certificate (BasicConstraints: CA == TRUE !?)
[Fri Feb 17 16:36:09.001141 2017] [ssl:warn] [pid 9469] AH01909: www.example.com:443:0 server certificate does NOT include an ID which matches the server name
[Fri Feb 17 16:36:09.001259 2017] [suexec:notice] [pid 9469] AH01232: suEXEC mechanism enabled (wrapper: /opt/lampp/bin/suexec)
[Fri Feb 17 16:36:09.056256 2017] [auth_digest:notice] [pid 9470] AH01757: generating secret for digest authentication ...
[Fri Feb 17 16:36:10.001780 2017] [ssl:warn] [pid 9470] AH01906: www.example.com:443:0 server certificate is a CA certificate (BasicConstraints: CA == TRUE !?)
[Fri Feb 17 16:36:10.001823 2017] [ssl:warn] [pid 9470] AH01909: www.example.com:443:0 server certificate does NOT include an ID which matches the server name
[Fri Feb 17 16:36:10.001956 2017] [lbmethod_heartbeat:notice] [pid 9470] AH02282: No slotmem from mod_heartmonitor
[Fri Feb 17 16:36:10.013030 2017] [mpm_prefork:notice] [pid 9470] AH00163: Apache/2.4.25 (Unix) OpenSSL/1.0.2j PHP/5.6.30 mod_perl/2.0.8-dev Perl/v5.16.3 configured -- resuming normal operations
[Fri Feb 17 16:36:10.013060 2017] [core:notice] [pid 9470] AH00094: Command line: '/opt/lampp/bin/httpd -E /opt/lampp/logs/error_log -D SSL -D PHP'


Can somebody help me please ?

Thank you for reading,
Shade Syndrome
Shade_Syndrome
 
Posts: 6
Joined: 17. February 2017 16:50
XAMPP version: 5.6.30-0
Operating System: Debian 4.9.2-2

Re: Impossible access to phpmyadmin

Postby Nobbie » 18. February 2017 13:43

These are all problems of your Linux distribution, neither icedove nor firefox is part of Xampp. Even more, Xampp (Apache) does not know anything about your browser and of course the Apache error_log does not relate to firefox or icedove. I cannot see anything what we can do.

Maybe you corrupted something, because you did not install Xampp as it is recommended. You obviously started a "root" session and are running everything as "root". Thats not what Bitnami says. Instead you should login with you standard UserID, open a terminal, proceed to the Download folder (where you *should* have the installer downloaded), then open a terminal and first run "chmod +x" on the installer:

chmod +x xampp-linux-x64-5.6.30-0-installer.run

and after run the installer with "sudo" (and do NOT login as root). "sudo" of course runs with root admin rights, but it uses a different environment than a root session! Simply enter:

sudo ./xampp-linux-x64-5.6.30-0-installer.run

and see what happens.

Unfortunatuly, you already run the installer in a root session, i dont know if this corrupts your Linux installation, it might be corrupted already before. Maybe it is a good idea to setup a new and clean Linux installation and after you should install Xampp. But i cannot help you fixing your corrupted Linux installation, that looks quite ugly and i have no idea what causes all these errors.
Nobbie
 
Posts: 9562
Joined: 09. March 2008 13:04

Re: Impossible access to phpmyadmin

Postby Shade_Syndrome » 18. February 2017 16:13

Hi,

Thank you for your answer. Well, i don't use sudo because everytime i do, it doesn't work. That's why most of the time i don't use it, previously i had a lot's of problems with my nvidia driver and i tried a lot of things to correct it.

I follow theses steps and i get this :

Code: Select all
swoosh@Nostoc:~$ cd Téléchargements/
swoosh@Nostoc:~/Téléchargements$ chmod +x xampp-linux-x64-5.6.30-0-installer.run
swoosh@Nostoc:~/Téléchargements$ sudo ./xampp-linux-x64-5.6.30-0-installer.run
[sudo] password for swoosh:
swoosh is not in the sudoers file.  This incident will be reported.
swoosh@Nostoc:~/Téléchargements$


I know that Xampp isn't link to icedov or firefox, but it was in case somebody had the same problem - i have to copy/paste every link i want to open...
So i can't run phpmyadmin and the Appache error_log can't help to understand what happened ?
Shade_Syndrome
 
Posts: 6
Joined: 17. February 2017 16:50
XAMPP version: 5.6.30-0
Operating System: Debian 4.9.2-2

Re: Impossible access to phpmyadmin

Postby Nobbie » 18. February 2017 17:04

Shade_Syndrome wrote:So i can't run phpmyadmin and the Appache error_log can't help to understand what happened ?


Obviously you have problems to understand: there is NO problem with phpmyadmin. You have problems even to run your browser. Youre browser does not run, so it does not send any request to your Xampp (Apache) and also no request to start phpmyadmin. It is not a question of phpmyadmin, your browser already garbles on startup.

I think phpmyadmin would run, but you cannot view it in your browser because your browser does not run. You got it now?

I also do no understand what you mean with your NVIDIA Card, there is no problem visible to me. Your Linux distribution is configured insufficiently, as your UserID "swoosh" is not configured to run a "sudo" command, this is done by configuring the so called "sudoers file" (that file is located in /etc/sudoers). There are many tutorials about that in the WWW, simply enter "how to configure sudoers file in linux". It seems you do not have many linux skills, as you are mixing up the problems in a very strange way.
Nobbie
 
Posts: 9562
Joined: 09. March 2008 13:04

Re: Impossible access to phpmyadmin

Postby Shade_Syndrome » 18. February 2017 17:18

No i haven't understand this the first time, thank you.

I talk about my nvidia card because you said that my debian seems to have been corrupted before the installation of Xampp, so yes i had problems with my nvidia driver before and i tried a lot of things with my root session at this time - it takes month to correct that - and maybe the corruption comes from there. I know that my nvidia driver is innocent is this Xampp/browser problem ;)

No i don't have a lot of skills on Linux, i learn by myself for fiew month.
I'm going to look at this sudo problem, thank you for your help.
Shade_Syndrome
 
Posts: 6
Joined: 17. February 2017 16:50
XAMPP version: 5.6.30-0
Operating System: Debian 4.9.2-2

Re: Impossible access to phpmyadmin

Postby Nobbie » 18. February 2017 17:31

Why do you run Debian? Debian is a very sophisticated distribution, but of course it has disadvantages, as you need to know quite a few things about linux in order to run Debian. There are much more user friendly distributions out there, Ubuntu for example or (meanwhile the number 1 on "DIstrowatch") Linux Mint.

You should install a flavour of Linux Mint instead of Debian, i am pretty sure that you would not have all these sudo problems etc., as Linux Mint comes with a very good and clean setup. That would solve lots of your problems.
Nobbie
 
Posts: 9562
Joined: 09. March 2008 13:04

Re: Impossible access to phpmyadmin

Postby Shade_Syndrome » 18. February 2017 18:24

That's exactly why i choose it, for the challenge and also because Debian is closer to my way of life and personal principle. I don't want a world which run like windows 10 : knowing everything you do on you computer, without the freedom to choose the software you want, without knowing what happened inside the system when there's a problem etc. I want to put my hands deep in the system and perfectly know my computer - i already know the material part, i bought each piece separately and built my computer alone. I want to learn, i'm not a complete newbie, i already used Ubuntu but i didn't like it, when i was younger i knew enough in informatic to code a little bit - when wordpress wasn't there and you had to write all the html and css for a website XD -, and i want to learn more. I plan to create a multimedia server with a rapsberry pie, a tor node too and i was actually working on data base, to create a personalized one - here we are with the Xampp thing.

I know it's more sophisticated with Debian, but i can learn that and like i said the challenge part is exciting. The most important problem with it actually, is that i didn't spend enough time to practice with console and to learn more about the system itself. That's why it can be strange when i talk about it ^^
Shade_Syndrome
 
Posts: 6
Joined: 17. February 2017 16:50
XAMPP version: 5.6.30-0
Operating System: Debian 4.9.2-2

Re: Impossible access to phpmyadmin

Postby Nobbie » 18. February 2017 18:35

Shade_Syndrome wrote:I know it's more sophisticated with Debian, but i can learn that and like i said the challenge part is exciting.


Ok, then good luck, until now you did not learn anything, instead you are going to destroy your Linux more and more. If you find this exciting, i wonder, why didnt you solve the sudo problems? Instead you are doing everything wrong. Sorry, but in that case i will stop support immediately, youre understanding of "exciting" does not meet my understanding of usefull actions.

You may come back when you learned to administrate your Debian, but for now there is no use.

Finally: why did you choose Xampp?? Debian of course comes with a fully equipped server environment. Xampp is made for people which dont want to configure and install the tools, because Xampp comes totally preconfigured (at least worse than WIndows 10). Why the hell do you want that? There is no Xampp for Raspbian and you wont learn anything about configuring Apache etc. - the idea of Xampp is providing a simple installation, just what you dont want!!
Nobbie
 
Posts: 9562
Joined: 09. March 2008 13:04

Re: Impossible access to phpmyadmin

Postby Shade_Syndrome » 18. February 2017 19:41

No i find exciting to learn, not to destroy my personal things.

Because i though that su and sudo were the same - not exactly but close -, and i didn't know that it could be that easy to damage Debian even if you follow instructions.
I like to learn hard new things, exciting stop here. I don't always do that step by step that's all.

I choose Xampp because a friend - web developper - told me that Open Office Access was not really good and old - i also used it during my study, i dislike totally -, and he send to me a mooc about it, using Xampp. Inside Xampp there is everything yes, my aim is not to choose the hardest or longest way every time. I want to use Xampp on my computer and then, i plan to access to my BD from another computer ONLY IF it's useful for my use. Why are you judging me ?
Shade_Syndrome
 
Posts: 6
Joined: 17. February 2017 16:50
XAMPP version: 5.6.30-0
Operating System: Debian 4.9.2-2

Re: Impossible access to phpmyadmin

Postby Nobbie » 18. February 2017 22:41

Shade_Syndrome wrote:Why are you judging me ?


Why not? You are asking for our free support, but as it looks, the problem is yourself. And in that case, you have to help yourself. Its impossible to solve all your problem, especially these are not Xampp problems.
Nobbie
 
Posts: 9562
Joined: 09. March 2008 13:04

Re: Impossible access to phpmyadmin

Postby Shade_Syndrome » 20. February 2017 09:21

You already told me that. I asked help about phpmyadmin, you told me it was a browser problem -> i already have my answer. I didn't ask you to solve anything else after, i just answer to YOUR questions.

Well, you shouldn't do that, especially when you don't know anything about the person who talks to you, what's more when nobody asked you to solve other things.

Have a good day, with all good wishes.
Shade_Syndrome
 
Posts: 6
Joined: 17. February 2017 16:50
XAMPP version: 5.6.30-0
Operating System: Debian 4.9.2-2

Re: Impossible access to phpmyadmin

Postby Nobbie » 20. February 2017 22:05

Shade_Syndrome wrote:especially when you don't know anything about the person who talks to you


Did you forgot that you told a lot about you, a lot more than nothing? You told all that, what is really quite something:

"That's exactly why i choose it, for the challenge and also because Debian is closer to my way of life and personal principle. I don't want a world which run like windows 10 : knowing everything you do on you computer, without the freedom to choose the software you want, without knowing what happened inside the system when there's a problem etc. I want to put my hands deep in the system and perfectly know my computer - i already know the material part, i bought each piece separately and built my computer alone. "

etc. pp.

and exactly because you told that about yourself, i decided that it is quite impossible to help. Because you also told, that you suffered from not working sudo and that finally confused me totally, as you had said, that you like the challenge and dont want a Windows 10 world (whatever is meant by that), but when it comes to the first very slight problem (sudo not working), you neither looked for a solution nor showed up any ambition to solve this (easy) problem. That is in fact poor and it is what i definately know about you, as you freely told us here.

Why are crying now? It is all what you said about yourself. Everybody can read it here.
Nobbie
 
Posts: 9562
Joined: 09. March 2008 13:04


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 4 guests